Skip to content

Search skills (internal + external)

GET
/api/v1/skills/search
curl --request GET \
--url 'https://example.com/api/v1/skills/search?q=example&projectId=00000000-0000-0000-0000-000000000000'
q
required
string
limit
string
projectId
required

Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.

string
>= 1 characters
Example
00000000-0000-0000-0000-000000000000

Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.

Success

Media type application/json
Array<object>
object
id
required
string
name
required
string
source
required
string
description
string
internal
required
boolean
installs
number
Example generated
[
{
"id": "example",
"name": "example",
"source": "example",
"description": "example",
"internal": true,
"installs": 1
}
]

Missing query parameter